EvIdle::__construct
EvIo
EvIdle
PHP Manual

# EvIdle::createStopped

Creates instance of a stopped EvIdle watcher object

### Description

final public static object EvIdle::createStopped ( string `$callback` [, mixed `$data` [, int `$priority` ]] )

The same as EvIdle::__construct , but doesn't start the watcher automatically.

### Parameters

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Returns EvIdle object on success.

### See Also

- EvIdle::__construct
- EvLoop::idle